# Algorithms_in_C++: MinHeapNode Struct Reference

Loading...
Searching...
No Matches
MinHeapNode Struct Reference
Collaboration diagram for MinHeapNode:
[legend]

## Public Member Functions

| MinHeapNode (char data, unsigned freq)

## Public Attributes

char | data
unsigned | freq
MinHeapNode * | left
MinHeapNode * | right

## Constructor & Destructor Documentation

## MinHeapNode()

MinHeapNode::MinHeapNode | ( | char | data,
|  | unsigned | freq
| ) |  |

inline

{
left = right = NULL;
this->data = data;
this->freq = freq;
}

The documentation for this struct was generated from the following file:

- greedy_algorithms/huffman.cpp